Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.common
Interface SlideMBean

All Known Implementing Classes:
  Slide

public interface SlideMBean

Slide MBean interface.

Version:
  $Revision: 1.6 $

Field Summary
`static java.lang.String` | `NAME` Component name.
`static java.lang.String` | `OBJECT_NAME` Object name.
`static int` | `STARTED`
`static int` | `STARTING`
`static java.lang.String[]` | `states` Status constants.
`static int` | `STOPPED`
`static int` | `STOPPING`

Method Summary
`DomainAccessToken` | `accessDomain(SecurityToken token)` Access a Domain.
`NamespaceAccessToken` | `accessNamespace(SecurityToken token, java.lang.String namespaceName)` Access a Namespace.
`void` | `closeNamespace(NamespaceAccessToken token)` Close a namespace.
`void` | `closeNamespace(SecurityToken token, java.lang.String namespaceName)` Clsose a namespace.
`void` | `destroy()` Destroy domain.
`java.lang.String` | `getName()` Retruns the Slide component name.
`int` | `getState()` Returns the state of the Slide domain.
`java.lang.String` | `getStateString()` Returns a String representation of the domain's state.
`void` | `init()` Auto initializes domain.
`void` | `init(java.lang.String configFile)` Initializes domain, and specify a configuration file to use.
`void` | `start()` Start the domain.
`void` | `stop()` Close all access tokens to the domain.

Field Detail

### states

    public static final java.lang.String[] states

  Status constants.

### STOPPED

    public static final int STOPPED

See Also:
  Constant Field Values

### STOPPING

    public static final int STOPPING

See Also:
  Constant Field Values

### STARTING

    public static final int STARTING

See Also:
  Constant Field Values

### STARTED

    public static final int STARTED

See Also:
  Constant Field Values

### NAME

    public static final java.lang.String NAME

  Component name.

  See Also:
    Constant Field Values

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

  Object name.

  See Also:
    Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

  Retruns the Slide component name.

### getState

    public int getState()

  Returns the state of the Slide domain.

### getStateString

    public java.lang.String getStateString()

  Returns a String representation of the domain's state.

### init

    public void init()
              throws java.lang.Exception

  Auto initializes domain.

  Throws:
    `java.lang.Exception`

### init

    public void init(java.lang.String configFile)
              throws java.lang.Exception

  Initializes domain, and specify a configuration file to use.

  Throws:
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  Start the domain.

  Throws:
    `java.lang.Exception`

### stop

    public void stop()

  Close all access tokens to the domain.

### destroy

    public void destroy()

  Destroy domain.

### accessNamespace

    public NamespaceAccessToken accessNamespace(SecurityToken token,
                                                java.lang.String namespaceName)

  Access a Namespace.

  Parameters:
    `token` - Entity which wants access
    `namespaceName` - Name of the namespace on which access is requested
  Returns:
    NamespaceAccessToken Access token to the namespace

### closeNamespace

    public void closeNamespace(NamespaceAccessToken token)

  Close a namespace.

  Parameters:
    `token` - Namespace access token

### closeNamespace

    public void closeNamespace(SecurityToken token,
                               java.lang.String namespaceName)

  Clsose a namespace.

  Parameters:
    `token` - Entity which wants to close the namespace
    `namespaceName` - Name of the namespace

### accessDomain

    public DomainAccessToken accessDomain(SecurityToken token)

  Access a Domain.

  Parameters:
    `token` - Service who wants access
  Returns:
    DomainAccessToken Access token to the domain

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD